package com.qmth.teachcloud.mark.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.common.enums.mark.SubjectiveStatus;
import com.qmth.teachcloud.mark.entity.MarkGroupStudent;

/**
 * <p>
 * 考生分组状态表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkGroupStudentService extends IMppService<MarkGroupStudent> {

    long countByStudentIdAndStatus(Long studentId, SubjectiveStatus marked);

    void deleteByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

	MarkGroupStudent getByStudentIdAndGroupNumber(Long studentId, Integer groupNumber);
}
